Package org.opensaml.soap.wssecurity.impl

# Class EncryptedHeaderImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.soap.wssecurity.impl.AbstractWSSecurityObject
org.opensaml.soap.wssecurity.impl.EncryptedHeaderImpl

All Implemented Interfaces:
  `XMLObject`, `ActorBearing`, `MustUnderstandBearing`, `MustUnderstandBearing`, `RelayBearing`, `RoleBearing`, `EncryptedHeader`, `IdBearing`, `WSSecurityObject`

public class EncryptedHeaderImpl extends AbstractWSSecurityObject implements EncryptedHeader
Implementation of `EncryptedHeader`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private EncryptedData`
`encryptedData`
EncryptedData child element.
`private String`
`soap11Actor`
The `@soap11:actor` atribute.
`private XSBooleanValue`
`soap11MustUnderstand`
The `@soap11:mustUnderstand` atribute.
`private XSBooleanValue`
`soap12MustUnderstand`
The `@soap12:mustUnderstand` atribute.
`private XSBooleanValue`
`soap12Relay`
The `@soap12:relay` atribute.
`private String`
`soap12Role`
The `@soap12:role` atribute.
`private String`
`wsuId`
The `@wsu:Id` atribute.

### Fields inherited from interface org.opensaml.soap.soap11.ActorBearing

`SOAP11_ACTOR_ATTR_LOCAL_NAME, SOAP11_ACTOR_ATTR_NAME, SOAP11_ACTOR_NEXT`

### Fields inherited from interface org.opensaml.soap.wssecurity.EncryptedHeader

`ELEMENT_LOCAL_NAME, ELEMENT_NAME, TYPE_LOCAL_NAME, TYPE_NAME`

### Fields inherited from interface org.opensaml.soap.wssecurity.IdBearing

`WSU_ID_ATTR_LOCAL_NAME, WSU_ID_ATTR_NAME`

### Fields inherited from interface org.opensaml.soap.soap11.MustUnderstandBearing

`SOAP11_MUST_UNDERSTAND_ATTR_LOCAL_NAME, SOAP11_MUST_UNDERSTAND_ATTR_NAME`

### Fields inherited from interface org.opensaml.soap.soap12.MustUnderstandBearing

`SOAP12_MUST_UNDERSTAND_ATTR_LOCAL_NAME, SOAP12_MUST_UNDERSTAND_ATTR_NAME`

### Fields inherited from interface org.opensaml.soap.soap12.RelayBearing

`SOAP12_RELAY_ATTR_LOCAL_NAME, SOAP12_RELAY_ATTR_NAME`

### Fields inherited from interface org.opensaml.soap.soap12.RoleBearing

`SOAP12_ROLE_ATTR_LOCAL_NAME, SOAP12_ROLE_ATTR_NAME`

## Constructor Summary

Constructors
Constructor
Description
`EncryptedHeaderImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`EncryptedData`
`getEncryptedData()`
Gets the EncryptedData child element.
`List<XMLObject>`
`getOrderedChildren()`
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.
`String`
`getSOAP11Actor()`
Get the attribute value.
`String`
`getSOAP12Role()`
Get the attribute value.
`String`
`getWSUId()`
Returns the `@wsu:Id` attribute value.
`Boolean`
`isSOAP11MustUnderstand()`
Get the attribute value.
`XSBooleanValue`
`isSOAP11MustUnderstandXSBoolean()`
Get the attribute value.
`Boolean`
`isSOAP12MustUnderstand()`
Get the attribute value.
`XSBooleanValue`
`isSOAP12MustUnderstandXSBoolean()`
Get the attribute value.
`Boolean`
`isSOAP12Relay()`
Get the attribute value.
`XSBooleanValue`
`isSOAP12RelayXSBoolean()`
Get the attribute value.
`void`
`setEncryptedData(EncryptedData newEncryptedData)`
Sets the EncryptedData child element.
`void`
`setSOAP11Actor(String newActor)`
Set the attribute value.
`void`
`setSOAP11MustUnderstand(Boolean newMustUnderstand)`
Set the attribute value.
`void`
`setSOAP11MustUnderstand(XSBooleanValue newMustUnderstand)`
Set the attribute value.
`void`
`setSOAP12MustUnderstand(Boolean newMustUnderstand)`
Set the attribute value.
`void`
`setSOAP12MustUnderstand(XSBooleanValue newMustUnderstand)`
Set the attribute value.
`void`
`setSOAP12Relay(Boolean newRelay)`
Set the attribute value.
`void`
`setSOAP12Relay(XSBooleanValue newRelay)`
Set the attribute value.
`void`
`setSOAP12Role(String newRole)`
Set the attribute value.
`void`
`setWSUId(String newId)`
Sets the `@wsu:Id` attribute value.

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### encryptedData

@Nullable private EncryptedData encryptedData
EncryptedData child element.

### wsuId

@Nullable private String wsuId
The `@wsu:Id` atribute.

### soap11MustUnderstand

@Nullable private XSBooleanValue soap11MustUnderstand
The `@soap11:mustUnderstand` atribute.

### soap11Actor

@Nullable private String soap11Actor
The `@soap11:actor` atribute.

### soap12MustUnderstand

@Nullable private XSBooleanValue soap12MustUnderstand
The `@soap12:mustUnderstand` atribute.

### soap12Role

@Nullable private String soap12Role
The `@soap12:role` atribute.

### soap12Relay

@Nullable private XSBooleanValue soap12Relay
The `@soap12:relay` atribute.

## Constructor Details

### EncryptedHeaderImpl

public EncryptedHeaderImpl(@Nullable String namespaceURI, @Nonnull String elementLocalName, @Nullable String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - namespace of the element
  `elementLocalName` - name of the element
  `namespacePrefix` - namespace prefix of the element

## Method Details

### getEncryptedData

@Nullable public EncryptedData getEncryptedData()
Gets the EncryptedData child element.

Specified by:
  `getEncryptedData` in interface `EncryptedHeader`
Returns:
  the EncryptedData child element

### setEncryptedData

public void setEncryptedData(@Nullable EncryptedData newEncryptedData)
Sets the EncryptedData child element.

Specified by:
  `setEncryptedData` in interface `EncryptedHeader`
Parameters:
  `newEncryptedData` - the new EncryptedData child element

### getWSUId

@Nullable public String getWSUId()
Returns the `@wsu:Id` attribute value.

Specified by:
  `getWSUId` in interface `IdBearing`
Returns:
  The `@wsu:Id` attribute value or `null`.

### setWSUId

public void setWSUId(@Nullable String newId)
Sets the `@wsu:Id` attribute value.

Specified by:
  `setWSUId` in interface `IdBearing`
Parameters:
  `newId` - The `@wsu:Id` attribute value

### isSOAP11MustUnderstand

@Nullable public Boolean isSOAP11MustUnderstand()
Get the attribute value.

Specified by:
  `isSOAP11MustUnderstand` in interface `MustUnderstandBearing`
Returns:
  return the attribute vlue

### isSOAP11MustUnderstandXSBoolean

@Nullable public XSBooleanValue isSOAP11MustUnderstandXSBoolean()
Get the attribute value.

Specified by:
  `isSOAP11MustUnderstandXSBoolean` in interface `MustUnderstandBearing`
Returns:
  return the attribute vlue

### setSOAP11MustUnderstand

public void setSOAP11MustUnderstand(@Nullable Boolean newMustUnderstand)
Set the attribute value.

Specified by:
  `setSOAP11MustUnderstand` in interface `MustUnderstandBearing`
Parameters:
  `newMustUnderstand` - the new attribute value

### setSOAP11MustUnderstand

public void setSOAP11MustUnderstand(@Nullable XSBooleanValue newMustUnderstand)
Set the attribute value.

Specified by:
  `setSOAP11MustUnderstand` in interface `MustUnderstandBearing`
Parameters:
  `newMustUnderstand` - the new attribute value

### getSOAP11Actor

@Nullable public String getSOAP11Actor()
Get the attribute value.

Specified by:
  `getSOAP11Actor` in interface `ActorBearing`
Returns:
  return the attribute vlue

### setSOAP11Actor

public void setSOAP11Actor(@Nullable String newActor)
Set the attribute value.

Specified by:
  `setSOAP11Actor` in interface `ActorBearing`
Parameters:
  `newActor` - the new attribute value

### isSOAP12MustUnderstand

@Nullable public Boolean isSOAP12MustUnderstand()
Get the attribute value.

Specified by:
  `isSOAP12MustUnderstand` in interface `MustUnderstandBearing`
Returns:
  return the attribute value

### isSOAP12MustUnderstandXSBoolean

@Nullable public XSBooleanValue isSOAP12MustUnderstandXSBoolean()
Get the attribute value.

Specified by:
  `isSOAP12MustUnderstandXSBoolean` in interface `MustUnderstandBearing`
Returns:
  return the attribute value

### setSOAP12MustUnderstand

public void setSOAP12MustUnderstand(@Nullable Boolean newMustUnderstand)
Set the attribute value.

Specified by:
  `setSOAP12MustUnderstand` in interface `MustUnderstandBearing`
Parameters:
  `newMustUnderstand` - the new attribute value

### setSOAP12MustUnderstand

public void setSOAP12MustUnderstand(@Nullable XSBooleanValue newMustUnderstand)
Set the attribute value.

Specified by:
  `setSOAP12MustUnderstand` in interface `MustUnderstandBearing`
Parameters:
  `newMustUnderstand` - the new attribute value

### getSOAP12Role

@Nullable public String getSOAP12Role()
Get the attribute value.

Specified by:
  `getSOAP12Role` in interface `RoleBearing`
Returns:
  return the attribute vlue

### setSOAP12Role

public void setSOAP12Role(@Nullable String newRole)
Set the attribute value.

Specified by:
  `setSOAP12Role` in interface `RoleBearing`
Parameters:
  `newRole` - the new attribute value

### isSOAP12Relay

@Nullable public Boolean isSOAP12Relay()
Get the attribute value.

Specified by:
  `isSOAP12Relay` in interface `RelayBearing`
Returns:
  return the attribute vlue

### isSOAP12RelayXSBoolean

@Nullable public XSBooleanValue isSOAP12RelayXSBoolean()
Get the attribute value.

Specified by:
  `isSOAP12RelayXSBoolean` in interface `RelayBearing`
Returns:
  return the attribute vlue

### setSOAP12Relay

public void setSOAP12Relay(@Nullable Boolean newRelay)
Set the attribute value.

Specified by:
  `setSOAP12Relay` in interface `RelayBearing`
Parameters:
  `newRelay` - the new attribute value

### setSOAP12Relay

public void setSOAP12Relay(@Nullable XSBooleanValue newRelay)
Set the attribute value.

Specified by:
  `setSOAP12Relay` in interface `RelayBearing`
Parameters:
  `newRelay` - the new attribute value

### getOrderedChildren

@Nullable public List<XMLObject> getOrderedChildren()
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

Specified by:
  `getOrderedChildren` in interface `XMLObject`
Overrides:
  `getOrderedChildren` in class `AbstractWSSecurityObject`
Returns:
  ordered list of child elements